Name:		wmdrawer
Version:	0.10.5
Release:	11%{?dist}

Summary:	Retractable button bar launcher dockapp
Summary(de):	Dockapp mit ausklappbaren Programmstartern
Source0:	http://people.easter-eggs.org/~valos/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-Makefile.patch
License:	GPLv2+
Group:		User Interface/X
URL:		http://people.easter-eggs.org/~valos/%{name}/
BuildRequires:	libXext-devel
BuildRequires:	libX11-devel
BuildRequires:	libXi-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	dos2unix
Requires:       xorg-x11-fonts-misc

%description
wmDrawer is a dock application (dockapp) which provides a drawer
(retractable button bar) to launch applications.

Please copy the file /usr/share/doc/%{name}-%{version}/wmdrawerrc to
~/.wmdrawerrc and edit it to match your needs.

%description -l de
wmDrawer ist ein Dockapp, welches eine ausklappbare
Knopfleiste mit Anwendungsstartern darstellt.

Bitte kopieren Sie die Datei /usr/share/doc/%{name}-%{version}/wmdrawerrc
nach ~/.wmdrawerrc und bearbeiten Sie sie nach Ihren Wünschen.


%prep
%setup -q
%patch0 -p0


%build
make -L CFLAGS='%{optflags}' %{?_smp_mflags}

%install


mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -p -m 644 doc/%{name}.1x.* %{buildroot}%{_mandir}/man1

dos2unix -k AUTHORS \
            ChangeLog

%files
%defattr(-,root,root,-)
%doc wmdrawerrc.example AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1x.*

%changelog

* Wed Jul 27 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.10.5-11
- Changed arguments for dos2unix
- Dropped *.sgml files

* Tue Jul 26 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.10.5-10
- Added patch for the Makefile. Debug package is usable now.
  (Thanks to Richard Shaw)
- Changed some files to utf-8 with correct line endings.
- Added font dependency

* Fri Mar 25 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.10.5-9
- Dropped startup script due to continuing problems
- Added hint regarding the startup behavior to the description

* Mon Feb 14 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.10.5-8
- changed Group again
- changed make call
- use macros consistently
- moved startup script to its own file

* Mon Oct 26 2008 Mario Blättermann <rpm@mandivauser.de> 0.10.5-7mud2009.0
- fixed Group

* Wed Oct 15 2008 Mario Blättermann <rpm@mandivauser.de> 0.10.5-6mud2009.0
- rebuild for 2009.0

* Sat Apr 12 2008 Mario Blättermann <rpm@mandrivauser.de> 0.10.5-5mud2008.1
- fixed Requires and BuildRequires
- rebuild for mud2008.0

* Sat Mar 15 2008 Mario Blättermann <mario.blaettermann@t-online.de> 0.10.5-4mud2008.0
- fixed bug in startup script

* Thu Jan 03 2008 Oliver Burger <rpm@mandrivauser.de> 0.10.5-3mud2008.0
- rebuild for MUde
- changed from csh to bash-script

* Thu Jan 03 2008 Mario Blättermann <rpm@mandrivauser.de>
- add startup script and xdg menu entry

* Mon Dec 03 2007 Mario Blättermann <mbl103@arcor.de>
-initial version
